<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: Data Fields</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li class="current"><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li class="current"><a href="globals.html"><span>All</span></a></li>
      <li><a href="globals_func.html"><span>Functions</span></a></li>
      <li><a href="globals_vars.html"><span>Variables</span></a></li>
      <li><a href="globals_type.html"><span>Typedefs</span></a></li>
      <li><a href="globals_enum.html"><span>Enumerations</span></a></li>
      <li><a href="globals_eval.html"><span>Enumerator</span></a></li>
      <li><a href="globals_defs.html"><span>Defines</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals.html#index_1"><span>1</span></a></li>
      <li><a href="globals_0x61.html#index_a"><span>a</span></a></li>
      <li><a href="globals_0x62.html#index_b"><span>b</span></a></li>
      <li class="current"><a href="globals_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="globals_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="globals_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="globals_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="globals_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="globals_0x68.html#index_h"><span>h</span></a></li>
      <li><a href="globals_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="globals_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="globals_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="globals_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="globals_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="globals_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="globals_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="globals_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="globals_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="globals_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="globals_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="globals_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="globals_0x78.html#index_x"><span>x</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

<h3><a class="anchor" id="index_c">- c -</a></h3><ul>
<li>Mcase_mapping
: <a class="el" href="group__m17nCharacter.html#gabf5314e978cea3ca60461022c03d843a">m17n-core.h</a>
, <a class="el" href="group__m17nCharacter.html#gabf5314e978cea3ca60461022c03d843a">character.c</a>
</li>
<li>Mcased
: <a class="el" href="group__m17nCharacter.html#ga4df1027f7239776ec28478de769f0e97">character.c</a>
, <a class="el" href="group__m17nCharacter.html#ga4df1027f7239776ec28478de769f0e97">m17n-core.h</a>
</li>
<li>Mcategory
: <a class="el" href="group__m17nCharacter.html#gad6d719ce33cdd01171e8a3773d08af09">m17n-core.h</a>
, <a class="el" href="group__m17nCharacter.html#gad6d719ce33cdd01171e8a3773d08af09">character.c</a>
</li>
<li>mchar_decode()
: <a class="el" href="group__m17nCharset.html#gac1a030a59290d16200818056943e93cd">charset.c</a>
, <a class="el" href="group__m17nCharset.html#gac1a030a59290d16200818056943e93cd">m17n.h</a>
</li>
<li>mchar_define_charset()
: <a class="el" href="group__m17nCharset.html#gaadbf43a8bb53d9056dd10a64e8424e30">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#gaadbf43a8bb53d9056dd10a64e8424e30">charset.c</a>
</li>
<li>mchar_define_property()
: <a class="el" href="group__m17nCharacter.html#ga8c6dde5d282ae96c899f662e1dc17879">m17n-core.h</a>
, <a class="el" href="group__m17nCharacter.html#ga8c6dde5d282ae96c899f662e1dc17879">character.c</a>
</li>
<li>mchar_encode()
: <a class="el" href="group__m17nCharset.html#gae199b17a440f6e1d669e60a77df87e6a">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#gae199b17a440f6e1d669e60a77df87e6a">charset.c</a>
</li>
<li>mchar_get_prop()
: <a class="el" href="group__m17nCharacter.html#ga66ef808ae3cf10d8080d579a993c6459">character.c</a>
, <a class="el" href="group__m17nCharacter.html#ga66ef808ae3cf10d8080d579a993c6459">m17n-core.h</a>
</li>
<li>mchar_get_prop_table()
: <a class="el" href="group__m17nCharacter.html#gaa44bd8292de2055556e05cf02cf1292f">m17n-core.h</a>
, <a class="el" href="group__m17nCharacter.html#gaa44bd8292de2055556e05cf02cf1292f">character.c</a>
</li>
<li>MCHAR_INVALID_CODE
: <a class="el" href="group__m17nCharset.html#gaed3feae2f280e7413725a5090175591a">charset.c</a>
</li>
<li>mchar_list_charset()
: <a class="el" href="group__m17nCharset.html#ga9ffc490ec2ef0fb0509f09d161de6b85">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#ga9ffc490ec2ef0fb0509f09d161de6b85">charset.c</a>
</li>
<li>mchar_map_charset()
: <a class="el" href="group__m17nCharset.html#gad218c3916b17c1f42769e2316a6aa557">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#gad218c3916b17c1f42769e2316a6aa557">charset.c</a>
</li>
<li>MCHAR_MAX
: <a class="el" href="group__m17nCharacter.html#gadb36cc417b000c5f9f028992f69b5ebc">character.c</a>
</li>
<li>mchar_put_prop()
: <a class="el" href="group__m17nCharacter.html#ga2dc345ba89a546f861b141a71d1609f7">m17n-core.h</a>
, <a class="el" href="group__m17nCharacter.html#ga2dc345ba89a546f861b141a71d1609f7">character.c</a>
</li>
<li>mchar_resolve_charset()
: <a class="el" href="group__m17nCharset.html#gaf8f077d7d45aaf0a68a3b638c24043fc">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#gaf8f077d7d45aaf0a68a3b638c24043fc">charset.c</a>
</li>
<li>Mchar_table
: <a class="el" href="group__m17nChartable.html#ga91e88555aace667aa53a16e5fbb4226c">m17n-core.h</a>
, <a class="el" href="group__m17nChartable.html#ga91e88555aace667aa53a16e5fbb4226c">chartab.c</a>
</li>
<li>Mcharset
: <a class="el" href="group__m17nCharset.html#ga45426542709f174689a06ce7c34a37de">database.c</a>
, <a class="el" href="group__m17nCharset.html#ga45426542709f174689a06ce7c34a37de">m17n-core.h</a>
</li>
<li>Mcharset_ascii
: <a class="el" href="group__m17nCharset.html#ga01281aed6d1604db0c98ac17c64b22e3">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#ga01281aed6d1604db0c98ac17c64b22e3">charset.c</a>
</li>
<li>Mcharset_binary
: <a class="el" href="group__m17nCharset.html#gaada84095266aedae3aed95ae942c47a0">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#gaada84095266aedae3aed95ae942c47a0">charset.c</a>
</li>
<li>Mcharset_iso_8859_1
: <a class="el" href="group__m17nCharset.html#ga9f7fa705b5a9329979b6f7dba5b33fef">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#ga9f7fa705b5a9329979b6f7dba5b33fef">charset.c</a>
</li>
<li>Mcharset_m17n
: <a class="el" href="group__m17nCharset.html#gae9d2842894a69850db2bfba1e7003938">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#gae9d2842894a69850db2bfba1e7003938">charset.c</a>
</li>
<li>Mcharset_unicode
: <a class="el" href="group__m17nCharset.html#ga9a9826645fbd6d8cbc8dade0a05d93ca">m17n.h</a>
, <a class="el" href="group__m17nCharset.html#ga9a9826645fbd6d8cbc8dade0a05d93ca">charset.c</a>
</li>
<li>Mcharsets
: <a class="el" href="group__m17nConv.html#gafa36b84a0e4e8c5e5c5ecafcd0dd827d">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gafa36b84a0e4e8c5e5c5ecafcd0dd827d">coding.c</a>
</li>
<li>mchartable()
: <a class="el" href="group__m17nChartable.html#gad75c06739d6144b32fee4a85f530e339">m17n-core.h</a>
, <a class="el" href="group__m17nChartable.html#gad75c06739d6144b32fee4a85f530e339">chartab.c</a>
</li>
<li>MCharTable
: <a class="el" href="group__m17nChartable.html#ga241f7150476db7182aecb944b711c546">m17n-core.h</a>
</li>
<li>mchartable_lookup()
: <a class="el" href="group__m17nChartable.html#ga9f80ddddf110d65848c0156092da3a38">m17n-core.h</a>
, <a class="el" href="group__m17nChartable.html#ga9f80ddddf110d65848c0156092da3a38">chartab.c</a>
</li>
<li>mchartable_map()
: <a class="el" href="group__m17nChartable.html#ga802f22afa9b94c76821288bd50b2bb42">m17n-core.h</a>
, <a class="el" href="group__m17nChartable.html#ga802f22afa9b94c76821288bd50b2bb42">chartab.c</a>
</li>
<li>mchartable_max_char()
: <a class="el" href="group__m17nChartable.html#ga8a6c1856bff9f9d60f4ba419ab7ad741">m17n-core.h</a>
, <a class="el" href="group__m17nChartable.html#ga8a6c1856bff9f9d60f4ba419ab7ad741">chartab.c</a>
</li>
<li>mchartable_min_char()
: <a class="el" href="group__m17nChartable.html#gabafef4ff85d483449fd8d3d2d4121f0b">m17n-core.h</a>
, <a class="el" href="group__m17nChartable.html#gabafef4ff85d483449fd8d3d2d4121f0b">chartab.c</a>
</li>
<li>mchartable_range()
: <a class="el" href="group__m17nChartable.html#ga4cadbd2cae1d2888caf587242b3d0cb3">m17n-core.h</a>
, <a class="el" href="group__m17nChartable.html#ga4cadbd2cae1d2888caf587242b3d0cb3">chartab.c</a>
</li>
<li>mchartable_set()
: <a class="el" href="group__m17nChartable.html#ga398b6ad047423d8846c765d4fe94acd0">m17n-core.h</a>
, <a class="el" href="group__m17nChartable.html#ga398b6ad047423d8846c765d4fe94acd0">chartab.c</a>
</li>
<li>mchartable_set_range()
: <a class="el" href="group__m17nChartable.html#ga336b039ca5e3a08513edfcfd7dca8197">m17n-core.h</a>
, <a class="el" href="group__m17nChartable.html#ga336b039ca5e3a08513edfcfd7dca8197">chartab.c</a>
</li>
<li>Mcode_unit
: <a class="el" href="group__m17nConv.html#gad19b84f78323e91e7003c97947561ff6">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gad19b84f78323e91e7003c97947561ff6">coding.c</a>
</li>
<li>Mcodeset
: <a class="el" href="group__m17nLocale.html#ga41ed940959ef93e6b2238bd0f9442954">m17n.h</a>
, <a class="el" href="group__m17nLocale.html#ga41ed940959ef93e6b2238bd0f9442954">locale.c</a>
</li>
<li>Mcoding
: <a class="el" href="group__m17nConv.html#ga1b45516d687e484a023362d6d6f6089c">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga1b45516d687e484a023362d6d6f6089c">coding.c</a>
</li>
<li>Mcoding_iso_8859_1
: <a class="el" href="group__m17nConv.html#ga527d347b90c2d066fb365c2e3739ff42">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga527d347b90c2d066fb365c2e3739ff42">coding.c</a>
</li>
<li>MCODING_ISO_DESIGNATION_CTEXT
: <a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca030b6b9b5f0633fc2d0097abd81de28e">m17n.h</a>
</li>
<li>MCODING_ISO_DESIGNATION_CTEXT_EXT
: <a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dcaf388fe08358fef2b59defabee46fec00">m17n.h</a>
</li>
<li>MCODING_ISO_DESIGNATION_G0
: <a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca40721da60b994939eacad1bd2e07448b">m17n.h</a>
</li>
<li>MCODING_ISO_DESIGNATION_G1
: <a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca7559126ce0b068f04aca842ffed9bdd0">m17n.h</a>
</li>
<li>MCODING_ISO_EIGHT_BIT
: <a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca7ad39d7879146023b2221789515e9819">m17n.h</a>
</li>
<li>MCODING_ISO_EUC_TW_SHIFT
: <a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dcae0997f1f84d9e3a0854c9f8b7ca3c3c3">m17n.h</a>
</li>
<li>MCODING_ISO_FLAG_MAX
: <a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dcaba0eb292213270b4d1850154e0b4ec6e">m17n.h</a>
</li>
<li>MCODING_ISO_FULL_SUPPORT
: <a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca4d74443cbd2c994a922bb7b74c198358">m17n.h</a>
</li>
<li>MCODING_ISO_ISO6429
: <a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca0353aae3621546519f2878540808dd24">m17n.h</a>
</li>
<li>MCODING_ISO_LOCKING_SHIFT
: <a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dcae805598539025db2560e059cc110d433">m17n.h</a>
</li>
<li>MCODING_ISO_LONG_FORM
: <a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca7b6e6b77d534bfee7491e1a1910670c2">m17n.h</a>
</li>
<li>MCODING_ISO_RESET_AT_CNTL
: <a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca4257fd9400a12d200accb44bacb9aa88">m17n.h</a>
</li>
<li>MCODING_ISO_RESET_AT_EOL
: <a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca6d8a88778f9c1913cd4b18aaa20744bd">m17n.h</a>
</li>
<li>MCODING_ISO_REVISION_NUMBER
: <a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca1b9d7f38308e56e69b9f4fb306542c9d">m17n.h</a>
</li>
<li>MCODING_ISO_SINGLE_SHIFT
: <a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dcaac4f80d7f2f2edd22abcdd4231831869">m17n.h</a>
</li>
<li>MCODING_ISO_SINGLE_SHIFT_7
: <a class="el" href="group__m17nConv.html#ggaa6b356b4eb92baf30aa2bf0f699e64dca3bbd5827f077785c13e40063617472f9">m17n.h</a>
</li>
<li>Mcoding_sjis
: <a class="el" href="group__m17nConv.html#gaa59faea3689e8a7a4635d609157f3fa5">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gaa59faea3689e8a7a4635d609157f3fa5">coding.c</a>
</li>
<li>MCODING_TYPE_CHARSET
: <a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efba00a3a762475a12cb7d5fa590a501861d">m17n.h</a>
</li>
<li>MCODING_TYPE_ISO_2022
: <a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efbaca427c661acd5ba630316fe2d925987e">m17n.h</a>
</li>
<li>MCODING_TYPE_MISC
: <a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efbaf1fa25bb62e5e42a78d42569b667be72">m17n.h</a>
</li>
<li>MCODING_TYPE_UTF
: <a class="el" href="group__m17nConv.html#ggaad6093554a9b9fbee4aff963bb3b1efba52dc03931e768c13c7968dcf817c7ad7">m17n.h</a>
</li>
<li>Mcoding_us_ascii
: <a class="el" href="group__m17nConv.html#ga4bb3bce315333205cee748b0b473eff3">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga4bb3bce315333205cee748b0b473eff3">coding.c</a>
</li>
<li>Mcoding_utf_16
: <a class="el" href="group__m17nConv.html#gaab7710f7b341261211e96b91ad994bc3">coding.c</a>
, <a class="el" href="group__m17nConv.html#gaab7710f7b341261211e96b91ad994bc3">m17n.h</a>
</li>
<li>Mcoding_utf_16be
: <a class="el" href="group__m17nConv.html#ga1a9658a04fcd2ff1203b5a9445bf364a">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga1a9658a04fcd2ff1203b5a9445bf364a">coding.c</a>
</li>
<li>Mcoding_utf_16le
: <a class="el" href="group__m17nConv.html#ga2794f6c88c23c0ce470b721b303cc917">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga2794f6c88c23c0ce470b721b303cc917">coding.c</a>
</li>
<li>Mcoding_utf_32
: <a class="el" href="group__m17nConv.html#ga72083c192efa0af5e30e602cd7a798b4">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga72083c192efa0af5e30e602cd7a798b4">coding.c</a>
</li>
<li>Mcoding_utf_32be
: <a class="el" href="group__m17nConv.html#ga904cb4114627ebb6dd322d8f9527e966">coding.c</a>
, <a class="el" href="group__m17nConv.html#ga904cb4114627ebb6dd322d8f9527e966">m17n.h</a>
</li>
<li>Mcoding_utf_32le
: <a class="el" href="group__m17nConv.html#gad76c99da8ac021d14f3a702701fc775f">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gad76c99da8ac021d14f3a702701fc775f">coding.c</a>
</li>
<li>Mcoding_utf_8
: <a class="el" href="group__m17nConv.html#ga6b2a43cb5cf0e0be7ecdec9f12629d84">coding.c</a>
, <a class="el" href="group__m17nConv.html#ga6b2a43cb5cf0e0be7ecdec9f12629d84">m17n.h</a>
</li>
<li>Mcoding_utf_8_full
: <a class="el" href="group__m17nConv.html#ga64372c6d5c9f0000ef5ddd6b1dfbfd86">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga64372c6d5c9f0000ef5ddd6b1dfbfd86">coding.c</a>
</li>
<li>MCodingFlagISO2022
: <a class="el" href="group__m17nConv.html#gaa6b356b4eb92baf30aa2bf0f699e64dc">m17n.h</a>
</li>
<li>MCodingType
: <a class="el" href="group__m17nConv.html#gaad6093554a9b9fbee4aff963bb3b1efb">m17n.h</a>
</li>
<li>Mcolormap
: <a class="el" href="group__m17nFrame.html#ga3de479e1bf9915fb86833298d8e05316">m17n-gui.h</a>
, <a class="el" href="group__m17nFrame.html#ga3de479e1bf9915fb86833298d8e05316">m17n-gui.c</a>
</li>
<li>Mcombining_class
: <a class="el" href="group__m17nCharacter.html#ga6e59888c09af64ee3b20208bf1b2de6e">m17n-core.h</a>
, <a class="el" href="group__m17nCharacter.html#ga6e59888c09af64ee3b20208bf1b2de6e">character.c</a>
</li>
<li>Mcomplicated_case_folding
: <a class="el" href="group__m17nCharacter.html#gae5e8271f68619d95a70930c18bc48220">character.c</a>
, <a class="el" href="group__m17nCharacter.html#gae5e8271f68619d95a70930c18bc48220">m17n-core.h</a>
</li>
<li>Mconfigured
: <a class="el" href="group__m17nInputMethod.html#gae01597fe66dfef937b4c5c47e54abbd0">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gae01597fe66dfef937b4c5c47e54abbd0">input.c</a>
</li>
<li>mconv_buffer_converter()
: <a class="el" href="group__m17nConv.html#gaf79783acab57fd3546be9116c1f3727d">coding.c</a>
, <a class="el" href="group__m17nConv.html#gaf79783acab57fd3546be9116c1f3727d">m17n.h</a>
</li>
<li>mconv_decode()
: <a class="el" href="group__m17nConv.html#ga0a6f843f64ca6b3104c4a2dd6c1eadfa">coding.c</a>
, <a class="el" href="group__m17nConv.html#ga0a6f843f64ca6b3104c4a2dd6c1eadfa">m17n.h</a>
</li>
<li>mconv_decode_buffer()
: <a class="el" href="group__m17nConv.html#gae6788541ef64489abc36388554566235">coding.c</a>
, <a class="el" href="group__m17nConv.html#gae6788541ef64489abc36388554566235">m17n.h</a>
</li>
<li>mconv_decode_stream()
: <a class="el" href="group__m17nConv.html#ga053a3adc499cebcd26b778fd83025c1a">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga053a3adc499cebcd26b778fd83025c1a">coding.c</a>
</li>
<li>mconv_define_coding()
: <a class="el" href="group__m17nConv.html#gabbd4a423903d2c1e55030f59ea86c34c">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gabbd4a423903d2c1e55030f59ea86c34c">coding.c</a>
</li>
<li>mconv_encode()
: <a class="el" href="group__m17nConv.html#ga66d3ddf06d7ac0b178929d9ce53bb0ad">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga66d3ddf06d7ac0b178929d9ce53bb0ad">coding.c</a>
</li>
<li>mconv_encode_buffer()
: <a class="el" href="group__m17nConv.html#gacacf723e544943aea0fe0a11b2e1715b">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gacacf723e544943aea0fe0a11b2e1715b">coding.c</a>
</li>
<li>mconv_encode_range()
: <a class="el" href="group__m17nConv.html#ga1b36aac154dd1fd978c0a2a99e12f22c">coding.c</a>
, <a class="el" href="group__m17nConv.html#ga1b36aac154dd1fd978c0a2a99e12f22c">m17n.h</a>
</li>
<li>mconv_encode_stream()
: <a class="el" href="group__m17nConv.html#ga410eb1d4e7a43d9fd0463cd82736273b">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga410eb1d4e7a43d9fd0463cd82736273b">coding.c</a>
</li>
<li>mconv_free_converter()
: <a class="el" href="group__m17nConv.html#gad9b174e7cc227ac90f2f0bb5f46246cf">coding.c</a>
, <a class="el" href="group__m17nConv.html#gad9b174e7cc227ac90f2f0bb5f46246cf">m17n.h</a>
</li>
<li>mconv_getc()
: <a class="el" href="group__m17nConv.html#ga2eb22be7dcffe2a6877f0888a894e563">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga2eb22be7dcffe2a6877f0888a894e563">coding.c</a>
</li>
<li>mconv_gets()
: <a class="el" href="group__m17nConv.html#gafac770b097b21d57cf0ea7b86345b173">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gafac770b097b21d57cf0ea7b86345b173">coding.c</a>
</li>
<li>mconv_list_codings()
: <a class="el" href="group__m17nConv.html#gad60cbed74dbe62f199872ef3d109573b">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gad60cbed74dbe62f199872ef3d109573b">coding.c</a>
</li>
<li>mconv_putc()
: <a class="el" href="group__m17nConv.html#ga4ddc3307ddb429e507c158b0dfaef1f3">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga4ddc3307ddb429e507c158b0dfaef1f3">coding.c</a>
</li>
<li>mconv_rebind_buffer()
: <a class="el" href="group__m17nConv.html#ga59fc5df9f9de9dbf33be0daf24d7c8de">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga59fc5df9f9de9dbf33be0daf24d7c8de">coding.c</a>
</li>
<li>mconv_rebind_stream()
: <a class="el" href="group__m17nConv.html#gaec7a0d98ce635ca5286e0a4d1e8f32d8">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gaec7a0d98ce635ca5286e0a4d1e8f32d8">coding.c</a>
</li>
<li>mconv_reset_converter()
: <a class="el" href="group__m17nConv.html#ga404fdd1f912860c580e0d5dc20a08e7e">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga404fdd1f912860c580e0d5dc20a08e7e">coding.c</a>
</li>
<li>mconv_resolve_coding()
: <a class="el" href="group__m17nConv.html#ga6d1106471a03aaed50b79ee5860544be">coding.c</a>
, <a class="el" href="group__m17nConv.html#ga6d1106471a03aaed50b79ee5860544be">m17n.h</a>
</li>
<li>mconv_stream_converter()
: <a class="el" href="group__m17nConv.html#ga5d916f0f1acad3efb58d8ecb19d5df85">coding.c</a>
, <a class="el" href="group__m17nConv.html#ga5d916f0f1acad3efb58d8ecb19d5df85">m17n.h</a>
</li>
<li>mconv_ungetc()
: <a class="el" href="group__m17nConv.html#ga64f98b0ace0afb52e1d4891ee42a1757">m17n.h</a>
, <a class="el" href="group__m17nConv.html#ga64f98b0ace0afb52e1d4891ee42a1757">coding.c</a>
</li>
<li>MCONVERSION_RESULT_INSUFFICIENT_DST
: <a class="el" href="group__m17nConv.html#ggafef05a0f12fd162f58fb750a2f1fbec7adff133201571e63ccbbf2294494045c9">m17n.h</a>
</li>
<li>MCONVERSION_RESULT_INSUFFICIENT_SRC
: <a class="el" href="group__m17nConv.html#ggafef05a0f12fd162f58fb750a2f1fbec7a63c2b55b74edfadbb032d4fd70066338">m17n.h</a>
</li>
<li>MCONVERSION_RESULT_INVALID_BYTE
: <a class="el" href="group__m17nConv.html#ggafef05a0f12fd162f58fb750a2f1fbec7ae9c5bb62d1e6cb8588ac02ebf90728c0">m17n.h</a>
</li>
<li>MCONVERSION_RESULT_INVALID_CHAR
: <a class="el" href="group__m17nConv.html#ggafef05a0f12fd162f58fb750a2f1fbec7aa333f6696f474553e401d48aafe58554">m17n.h</a>
</li>
<li>MCONVERSION_RESULT_IO_ERROR
: <a class="el" href="group__m17nConv.html#ggafef05a0f12fd162f58fb750a2f1fbec7acc5cfefff2e6bb69b8d60be7f694bc6b">m17n.h</a>
</li>
<li>MCONVERSION_RESULT_SUCCESS
: <a class="el" href="group__m17nConv.html#ggafef05a0f12fd162f58fb750a2f1fbec7a46a59d5fab36485ab6e0ef1b89e1559e">m17n.h</a>
</li>
<li>MConversionResult
: <a class="el" href="group__m17nConv.html#gafef05a0f12fd162f58fb750a2f1fbec7">m17n.h</a>
</li>
<li>Mcustomized
: <a class="el" href="group__m17nInputMethod.html#ga07679cd0d5bf8e137d5dc554a30aa106">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga07679cd0d5bf8e137d5dc554a30aa106">input.c</a>
</li>
</ul>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
